futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Internalise.Exps

Description

Conversion of a monomorphic, first-order, defunctorised source program to a core Futhark program.

Synopsis

- transformProg :: MonadFreshNames m => Bool -> VisibleTypes -> [ValBind] -> m (Prog SOACS)

# Documentation

transformProg :: MonadFreshNames m => Bool -> VisibleTypes -> [ValBind] -> m (Prog SOACS) Source #

Convert a program in source Futhark to a program in the Futhark core language.